Plank.HideType – plank Reference Manual

# HideType

## Description:

public enum HideType

If/How the dock should hide itself.

Namespace: Plank
Package: plank

## Content:

### Enum values:

- AUTO - The dock hides if the mouse is not over it.
- DODGE_ACTIVE - The dock hides if there is the active window overlapping it.
- DODGE_MAXIMIZED - The dock hides if there is an active maximized window.
- INTELLIGENT - The dock hides if a window in the active window group overlaps it.
- NONE - The dock does not hide. It should set struts to reserve space for it.
- WINDOW_DODGE - The dock hides if there is any window overlapping it.